Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.beans
Interface Property

All Known Subinterfaces:
  IndexedProperty

    public interface Property

A property allows details to be retrieved and set for individual bean properties.

Method Summary
`String[]` | `getAllowedValues()` Gets the allowed values for this property.
`String` | `getDescription()` Get the description of the property.
`Editor` | `getEditor()` Get an editor component for the property.
`IndexedProperty` | `getIndexedProperty()` Get an indexed property inspector if available.
`String` | `getName()` Get the name of this property.
`Class` | `getType()` Get the class of this property.
`Object` | `getValue()` Get the value of this property.
`boolean` | `isExpert()` Test if the property is for expert users only.
`boolean` | `isHidden()` Test if the property is not for GUI configuration.
`boolean` | `isPreferred()` Test if the property should definitely be configured.
`boolean` | `isReadOnly()` Tests if a property is readonly.
`void` | `setValue(Object arg)` Set the value of the property to the given argument.

Method Detail

### getName

    String getName()

  Get the name of this property.

  Returns:
    String The name.

### getDescription

    String getDescription()

  Get the description of the property.

  Returns:
    String A description, defaults to the same value as getName, but may be more elaborate in some cases (depending on the underlying bean implementation).

### getType

    Class getType()

  Get the class of this property.

  Returns:
    Class The class.

### isExpert

    boolean isExpert()

  Test if the property is for expert users only.

  Returns:
    boolean true if for experts only.

### isPreferred

    boolean isPreferred()

  Test if the property should definitely be configured.

  Returns:
    boolean true if the property should definitely be configured.

### isHidden

    boolean isHidden()

  Test if the property is not for GUI configuration.

  Returns:
    boolean True if a GUI should NOT show this.

### getEditor

    Editor getEditor()
                     throws PropertyException

  Get an editor component for the property. This allows easy, String-based interaction for get and set.

  Returns:
    Editor The editor, or null if not available. This may happen, for instance, if the type is a custom type, or if the property is not meant to be changed.
  Throws:
    `PropertyException` - On error.

### getAllowedValues

    String[] getAllowedValues()

  Gets the allowed values for this property. Useful in case of enummeration-restricted properties.

  Returns:
    String[] The allowed values, or null if not applicable.

### getValue

    Object getValue()
                    throws PropertyException

  Get the value of this property.

  Returns:
    Object The current value, or null if not available. For indexed properties, this will be the entire set of values.
  Throws:
    `PropertyException` - On error.

### isReadOnly

    boolean isReadOnly()

  Tests if a property is readonly.

  Returns:
    boolean true if readonly.

### getIndexedProperty

    IndexedProperty getIndexedProperty()

  Get an indexed property inspector if available.

  Returns:
    IndexedProperty The indexed property, or null for simple properties.

### setValue

    void setValue(Object arg)
                  throws ReadOnlyException,
                         PropertyException

  Set the value of the property to the given argument.

  Parameters:
    `arg` - The argument. For indexed properties, this is the entire array. The necessary conversion from wrapper types to primitive types will happen internally.
  Throws:
    `ReadOnlyException` - If there is no setter method with the required argument.
    `PropertyException` - If the set fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.